inv.h File Reference

Definitions of matrix inversion routines. More...

`#include <itpp/base/mat.h>`
`#include <itpp/itexports.h>`

Go to the source code of this file.

## Namespaces

| itpp
| itpp namespace

## Functions

bool | itpp::inv (const mat &X, mat &Y)
| Inverse of real square matrix.Calculate the inverse of the real matrix . More...
mat | itpp::inv (const mat &X)
| Inverse of real square matrix.Calculate the inverse of the real matrix . More...
bool | itpp::inv (const cmat &X, cmat &Y)
| Inverse of complex square matrix.Calculate the inverse of the complex matrix . More...
cmat | itpp::inv (const cmat &X)
| Inverse of real square matrix.Calculate the inverse of the complex matrix . More...

## Detailed Description

Definitions of matrix inversion routines.

Author
  Tony Ottosson

Copyright (C) 1995-2010 (see AUTHORS file for a list of contributors)

This file is part of IT++ - a C++ library of mathematical, signal processing, speech processing, and communications classes and functions.

IT++ is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

IT++ is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with IT++. If not, see http://www.gnu.org/licenses/.

Definition in file inv.h.

Generated on Thu Mar 20 2014 12:26:44 for IT++ by Doxygen 1.8.6